CRM

Update a list's name, visibility, or whole-org role

PATCH
/v1/crm/lists/{id}

Authorization

x-api-key<token>

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/crm/lists/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "canManage": true,
    "createdAt": 0,
    "hasMember": true,
    "id": "string",
    "memberCount": 0,
    "name": "string",
    "objectType": "people",
    "visibility": "private"
  }
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string"
}
{
  "error": "string",
  "limit": 0,
  "size": 0
}